org.apache.bsf.util.event.adapters

## Class java_awt_event_MouseAdapter

- java.lang.Object
- - org.apache.bsf.util.event.EventAdapterImpl
  - - org.apache.bsf.util.event.adapters.java_awt_event_MouseAdapter

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.util.EventListener, EventAdapter

      public class java_awt_event_MouseAdapter
      extends EventAdapterImpl
      implements java.awt.event.MouseListener

- - ### Field Summary

    - ### Fields inherited from class org.apache.bsf.util.event.EventAdapterImpl

      `eventProcessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `java_awt_event_MouseAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseClicked(java.awt.event.MouseEvent e)`
    `void` | `mouseEntered(java.awt.event.MouseEvent e)`
    `void` | `mouseExited(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)`
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`

    - ### Methods inherited from class org.apache.bsf.util.event.EventAdapterImpl

      `setEventProcessor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### java_awt_event_MouseAdapter

          public java_awt_event_MouseAdapter()

  - ### Method Detail

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent e)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent e)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`